HPLIP can't detect wireless MFP without specifiing IP address

Asked by Evgeny Kozlov on 2019-09-08

Linux Lite 4 (Ubuntu 18.04LTS based)
HP LaserJet Pro M28w

hp-chek output
hp-check[28169]: info: :
hp-check[28169]: info: :HP Linux Imaging and Printing System (ver. 3.19.8)
hp-check[28169]: info: :Dependency/Version Check Utility ver. 15.1
hp-check[28169]: info: :
hp-check[28169]: info: :Copyright (c) 2001-18 HP Development Company, LP
hp-check[28169]: info: :This software comes with ABSOLUTELY NO WARRANTY.
hp-check[28169]: info: :This is free software, and you are welcome to distribute it
hp-check[28169]: info: :under certain conditions. See COPYING file for more details.
hp-check[28169]: info: :
hp-check[28169]: info: :Note: hp-check can be run in three modes:
hp-check[28169]: info: :1. Compile-time check mode (-c or --compile): Use this mode before compiling the HPLIP supplied tarball (.tar.gz or .run) to determine if the proper
hp-check[28169]: info: :dependencies are installed to successfully compile HPLIP.
hp-check[28169]: info: :2. Run-time check mode (-r or --run): Use this mode to determine if a distro supplied package (.deb, .rpm, etc) or an already built HPLIP supplied tarball has
hp-check[28169]: info: :the proper dependencies installed to successfully run.
hp-check[28169]: info: :3. Both compile- and run-time check mode (-b or --both) (Default): This mode will check both of the above cases (both compile- and run-time dependencies).
hp-check[28169]: info: :
hp-check[28169]: info: :Check types:
hp-check[28169]: info: :a. EXTERNALDEP - External Dependencies
hp-check[28169]: info: :b. GENERALDEP - General Dependencies (required both at compile and run time)
hp-check[28169]: info: :c. COMPILEDEP - Compile time Dependencies
hp-check[28169]: info: :d. [All are run-time checks]
hp-check[28169]: info: :PYEXT SCANCONF QUEUES PERMISSION
hp-check[28169]: info: :
hp-check[28169]: info: :Status Types:
hp-check[28169]: info: : OK
hp-check[28169]: info: : MISSING - Missing Dependency or Permission or Plug-in
hp-check[28169]: info: : INCOMPAT - Incompatible dependency-version or Plugin-version
hp-check[28169]: info: :
hp-check[28169]: info: :
hp-check[28169]: info: :---------------
hp-check[28169]: info: :| SYSTEM INFO |
hp-check[28169]: info: :---------------
hp-check[28169]: info: :
hp-check[28169]: info: : Kernel: 5.0.0-27-generic #28~18.04.1-Ubuntu SMP Thu Aug 22 03:00:32 UTC 2019 GNU/Linux
 Host: zheka-Inspiron-M5010
 Proc: 5.0.0-27-generic #28~18.04.1-Ubuntu SMP Thu Aug 22 03:00:32 UTC 2019 GNU/Linux
 Distribution: 12 18.04
hp-check[28169]: info: : Bitness: 64 bit

hp-check[28169]: info: :
hp-check[28169]: info: :-----------------------
hp-check[28169]: info: :| HPLIP CONFIGURATION |
hp-check[28169]: info: :-----------------------
hp-check[28169]: info: :
hp-check[28169]: info: :HPLIP-Version: HPLIP 3.19.8
hp-check[28169]: info: :HPLIP-Home: /usr/share/hplip
hp-check[28169]: info: :HPLIP-Installation: Auto installation is supported for ubuntu distro 18.04 version
hp-check[28169]: info: :
hp-check[28169]: info: :Current contents of '/etc/hp/hplip.conf' file:
hp-check[28169]: info: :# hplip.conf. Generated from hplip.conf.in by configure.

[hplip]
version=3.19.8

[dirs]
home=/usr/share/hplip
run=/var/run
ppd=/usr/share/ppd/HP
ppdbase=/usr/share/ppd
doc=/usr/share/doc/hplip-3.19.8
html=/usr/share/doc/hplip-3.19.8
icon=/usr/share/applications
cupsbackend=/usr/lib/cups/backend
cupsfilter=/usr/lib/cups/filter
drv=/usr/share/cups/drv/hp
bin=/usr/bin
apparmor=/etc/apparmor.d
# Following values are determined at configure time and cannot be changed.
[configure]
network-build=yes
libusb01-build=no
pp-build=no
gui-build=yes
scanner-build=yes
fax-build=yes
dbus-build=yes
cups11-build=no
doc-build=yes
shadow-build=no
hpijs-install=no
foomatic-drv-install=no
foomatic-ppd-install=no
foomatic-rip-hplip-install=no
hpcups-install=yes
cups-drv-install=yes
cups-ppd-install=no
internal-tag=3.19.8
restricted-build=no
ui-toolkit=qt4
qt3=no
qt4=yes
qt5=no
policy-kit=no
lite-build=no
udev_sysfs_rules=no
hpcups-only-build=no
hpijs-only-build=no
apparmor_build=yes
class-driver=no

hp-check[28169]: info: :
hp-check[28169]: info: :Current contents of '/var/lib/hp/hplip.state' file:
hp-check[28169]: info: :[plugin]
installed = 1
eula = 1
version = 3.19.8

hp-check[28169]: info: :
hp-check[28169]: info: :Current contents of '~/.hplip/hplip.conf' file:
hp-check[28169]: info: :[upgrade]
notify_upgrade = true
last_upgraded_time = 1567601070
pending_upgrade_time = 0
latest_available_version = 3.17.10

[settings]
systray_visible = 0
systray_messages = 0

[last_used]
device_uri = "hp:/net/HP_LaserJet_MFP_M28-M31?ip=192.168.100.8"
printer_name = HP_LaserJet_MFP_M28-M31
working_dir = .

[commands]
scan = /usr/bin/xsane -V %SANE_URI%

[refresh]
rate = 30
enable = false
type = 1

[polling]
enable = false
interval = 5
device_list =

[fax]
voice_phone =
email_address =

[installation]
date_time = 08.09.2019 14:20:30
version = 3.19.8

hp-check[28169]: info: : <Package-name> <Package-Desc> <Required/Optional> <Min-Version> <Installed-Version> <Status> <Comment>
hp-check[28169]: info: :
hp-check[28169]: info: :--------------
hp-check[28169]: info: :| COMPILEDEP |
hp-check[28169]: info: :--------------
hp-check[28169]: info: :
hp-check[28169]: info: : gcc gcc - GNU Project C and C++ Compiler REQUIRED - 7.4.0 OK -
hp-check[28169]: info: : make make - GNU make utility to maintain groups of programs REQUIRED 3.0 4.1 OK -
hp-check[28169]: info: : libtool libtool - Library building support services REQUIRED - 2.4.6 OK -
hp-check[28169]: info: :
hp-check[28169]: info: :------------------------
hp-check[28169]: info: :| General Dependencies |
hp-check[28169]: info: :------------------------
hp-check[28169]: info: :
hp-check[28169]: info: : libcrypto libcrypto - OpenSSL cryptographic library REQUIRED - 1.1.1 OK -
hp-check[28169]: info: : python-xml Python XML libraries REQUIRED - 2.2.5 OK -
hp-check[28169]: info: : libnetsnmp-devel libnetsnmp-devel - SNMP networking library development files REQUIRED 5.0.9 5.7.3 OK -
hp-check[28169]: info: : sane-devel SANE - Scanning library development files REQUIRED - - OK -
hp-check[28169]: info: : pil PIL - Python Imaging Library (required for commandline scanning with hp-scan) OPTIONAL - 1.1.7 OK -
hp-check[28169]: info: : pyqt4-dbus PyQt 4 DBus - DBus Support for PyQt4 REQUIRED 4.0 4.12.1 OK -
hp-check[28169]: info: : libpthread libpthread - POSIX threads library REQUIRED - 2.27 OK -
hp-check[28169]: info: : python-devel Python devel - Python development files REQUIRED 2.2 2.7.15 OK -
hp-check[28169]: info: : cups-devel CUPS devel- Common Unix Printing System development files REQUIRED - 2.2.7 OK -
hp-check[28169]: info: : python-dbus Python DBus - Python bindings for DBus REQUIRED 0.80.0 1.2.6 OK -
hp-check[28169]: info: : cups-ddk CUPS DDK - CUPS driver development kit OPTIONAL - - OK -
hp-check[28169]: info: : reportlab Reportlab - PDF library for Python OPTIONAL 2.0 3.4.0 OK -
hp-check[28169]: info: : pyqt4 PyQt 4- Qt interface for Python (for Qt version 4.x) REQUIRED 4.0 4.12.1 OK -
hp-check[28169]: info: : libusb libusb - USB library REQUIRED - 1.0 OK -
hp-check[28169]: info: : cups-image CUPS image - CUPS image development files REQUIRED - 2.2.7 OK -
hp-check[28169]: info: : python2X Python 2.2 or greater - Python programming language REQUIRED 2.2 2.7.15 OK -
hp-check[28169]: info: : python-notify Python libnotify - Python bindings for the libnotify Desktop notifications OPTIONAL - - OK -
hp-check[28169]: info: : libjpeg libjpeg - JPEG library REQUIRED - - OK -
hp-check[28169]: info: : sane SANE - Scanning library REQUIRED - - OK -
hp-check[28169]: info: :
hp-check[28169]: info: :----------------------
hp-check[28169]: info: :| Scan Configuration |
hp-check[28169]: info: :----------------------
hp-check[28169]: info: :
hp-check[28169]: info: : scanext Scan-SANE-Extension REQUIRED - 3.19.8 OK -
hp-check[28169]: info: : hpaio HPLIP-SANE-Backend REQUIRED - 3.19.8 OK 'hpaio found in /etc/sane.d/dll.conf'
hp-check[28169]: info: :
hp-check[28169]: info: :-------------------------
hp-check[28169]: info: :| External Dependencies |
hp-check[28169]: info: :-------------------------
hp-check[28169]: info: :
hp-check[28169]: info: : gs GhostScript - PostScript and PDF language interpreter and previewer REQUIRED 7.05 9.26 OK -
hp-check[28169]: info: : scanimage scanimage - Shell scanning program OPTIONAL 1.0 1.0.27 OK -
hp-check[28169]: info: : cups CUPS - Common Unix Printing System REQUIRED 1.1 2.2.7 OK 'CUPS Scheduler is running'
hp-check[28169]: info: : network network -wget OPTIONAL - 1.19.4 OK -
hp-check[28169]: info: : policykit PolicyKit - Administrative policy framework OPTIONAL - 0.105 OK -
hp-check[28169]: info: : xsane xsane - Graphical scanner frontend for SANE OPTIONAL 0.9 0.999 OK -
hp-check[28169]: info: : dbus DBus - Message bus system REQUIRED - 1.12.2 OK -
hp-check[28169]: info: : avahi-utils avahi-utils OPTIONAL - 0.7 OK -
hp-check[28169]: info: :
hp-check[28169]: info: :---------------------
hp-check[28169]: info: :| Python Extentions |
hp-check[28169]: info: :---------------------
hp-check[28169]: info: :
hp-check[28169]: info: : hpmudext IO-Extension REQUIRED - 3.19.8 OK -
hp-check[28169]: info: : cupsext CUPS-Extension REQUIRED - 3.19.8 OK -
hp-check[28169]: info: :
hp-check[28169]: info: :------------------------------
hp-check[28169]: info: :| DISCOVERED SCANNER DEVICES |
hp-check[28169]: info: :------------------------------
hp-check[28169]: info: :
hp-check[28169]: info: :device `hpaio:/net/HP_LaserJet_MFP_M28-M31?ip=192.168.100.8' is a Hewlett-Packard HP_LaserJet_MFP_M28-M31 all-in-one
device `hpaio:/net/HP_LaserJet_MFP_M28-M31?ip=192.168.100.8' is a Hewlett-Packard HP_LaserJet_MFP_M28-M31 all-in-one

hp-check[28169]: info: :
hp-check[28169]: info: :--------------------------
hp-check[28169]: info: :| DISCOVERED USB DEVICES |
hp-check[28169]: info: :--------------------------
hp-check[28169]: info: :
hp-check[28169]: info: :No devices found.
hp-check[28169]: info: :
hp-check[28169]: info: :---------------------------------
hp-check[28169]: info: :| INSTALLED CUPS PRINTER QUEUES |
hp-check[28169]: info: :---------------------------------
hp-check[28169]: info: :
hp-check[28169]: info: :
hp-check[28169]: info: :HP_LaserJet_MFP_M28-M31
hp-check[28169]: info: :-----------------------
hp-check[28169]: info: :Type: Printer
hp-check[28169]: info: :Device URI: hp:/net/HP_LaserJet_MFP_M28-M31?ip=192.168.100.8
hp-check[28169]: info: :PPD: /etc/cups/ppd/HP_LaserJet_MFP_M28-M31.ppd
warning: Failed to read /etc/cups/ppd/HP_LaserJet_MFP_M28-M31.ppd ppd file
hp-check[28169]: info: :PPD Description:
hp-check[28169]: info: :Printer status: принтер HP_LaserJet_MFP_M28-M31 свободен. Включен с момента Вс 08 сен 2019 11:50:17
hp-check[28169]: info: :Communication status: Good
hp-check[28169]: info: :
hp-check[28169]: info: :HP_LaserJet_MFP_M28w_400C41_
hp-check[28169]: info: :----------------------------
hp-check[28169]: info: :Type: Unknown
hp-check[28169]: info: :Device URI: ipps://NPI400C41.local:631/ipp/print
hp-check[28169]: info: :
hp-check[28169]: info: :<email address hidden>
hp-check[28169]: info: :--------------------------------------------
hp-check[28169]: info: :Type: Unknown
hp-check[28169]: info: :Device URI: ipps://NPI400C41.local:631/ipp/print
hp-check[28169]: info: :PPD: /<email address hidden>
warning: Failed to read /<email address hidden> ppd file
hp-check[28169]: info: :PPD Description:
hp-check[28169]: info: :Printer status: принтер <email address hidden> свободен. Включен с момента Вс 08 сен 2019 13:55:35
warning: Printer is not HPLIP installed. Printers must use the hp: or hpfax: CUPS backend for HP-Devices.
hp-check[28169]: info: :
hp-check[28169]: info: :
hp-check[28169]: info: :--------------
hp-check[28169]: info: :| PERMISSION |
hp-check[28169]: info: :--------------
hp-check[28169]: info: :
hp-check[28169]: info: :
hp-check[28169]: info: :-----------
hp-check[28169]: info: :| SUMMARY |
hp-check[28169]: info: :-----------
hp-check[28169]: info: :
hp-check[28169]: info: :Missing Required Dependencies
hp-check[28169]: info: :-----------------------------
hp-check[28169]: info: :None
hp-check[28169]: info: :
hp-check[28169]: info: :Missing Optional Dependencies
hp-check[28169]: info: :-----------------------------
hp-check[28169]: info: :None

hp-check[28169]: info: :
hp-check[28169]: info: :Total Errors: 0
hp-check[28169]: info: :Total Warnings: 1
hp-check[28169]: info: :
hp-check[28169]: info: :
hp-check[28169]: info: :Done.

When running hp-setup can't found HP LJ Pro M28w MFP in wireless mode without specifiing direct IP address.
Problem: with IP specified when IP dinamically changed sytem can't find the printer.
Windows and Android working with it without problem.
hp-setup recomends support at www.hplipopensource.com/node/375 but I can't access this page.

Question information

Language:
English Edit question
Status:
Open
For:
HPLIP Edit question
Assignee:
No assignee Edit question
Last query:
2019-09-08
Last reply:

Can you help with this problem?

Provide an answer of your own, or ask Evgeny Kozlov for more information if necessary.

To post a message you must log in.